Yandex Cloud
Search
Contact UsTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Object Storage
  • Pricing policy
  • Terraform reference
    • API authentication
      • How to use the API
      • Signing requests
      • Getting started with the S3 API
        • All services and methods
          • All methods
          • CreateBucket
          • GetBucketEncryption
          • HeadBucket
          • ListObjects
          • ListBuckets
          • DeleteBucket
          • DeleteBucketEncryption
          • PutBucketEncryption
          • PutBucketVersioning
          • GetBucketVersioning
          • PutBucketLogging
          • GetBucketLogging
          • ListObjectVersions
          • PutObjectLockConfiguration
          • GetObjectLockConfiguration
          • PutBucketTagging
          • GetBucketTagging
          • DeleteBucketTagging
        • Common request headers
        • Common response headers
        • Responses
  • Monitoring metrics
  • Audit Trails events
  • Bucket logs
  • Release notes
  • FAQ

In this article:

  • Request
  • Path parameters
  • Query parameters
  • Data schema
  • Headers
  • Response
  • Headers
  • Response codes
  1. API reference
  2. AWS S3 REST
  3. REST
  4. Bucket
  5. PutBucketLogging

Object Storage API, Amazon S3-compatible REST: PutBucketLogging

Written by
Yandex Cloud
Updated at May 6, 2026
  • Request
    • Path parameters
    • Query parameters
    • Data schema
    • Headers
  • Response
    • Headers
    • Response codes

Enables and disables bucket logging.

For more information on getting started with the API and the general request format, see How to use the S3 API.

RequestRequest

PUT /{bucket}?logging HTTP/2

Path parametersPath parameters

Parameter Description
bucket Bucket name.

Query parametersQuery parameters

Parameter Description
logging Required parameter that indicates the type of operation.

Data schemaData schema

To enable bucket logging:

<?xml version="1.0" encoding="UTF-8" ?>
<BucketLoggingStatus xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
   <LoggingEnabled>
      <TargetBucket>bucket-logs</TargetBucket>
      <TargetPrefix>logs/</TargetPrefix>
   </LoggingEnabled>
</BucketLoggingStatus>
Element Description
BucketLoggingStatus Root element.
TargetBucket Name of the target bucket where objects with logs are saved.
Type: String.
TargetPrefix Log object key prefix.
Type: String.

To disable bucket logging:

<BucketLoggingStatus xmlns="http://doc.s3.amazonaws.com/2006-03-01" />

HeadersHeaders

Use only common headers in your requests.

ResponseResponse

HeadersHeaders

Responses can only contain common headers.

Response codesResponse codes

For a list of possible responses, see Responses.

A successful response does not contain any additional data.

Related articlesRelated articles

  • Bucket in Object Storage

  • Enabling logging of bucket actions

See alsoSee also

  • Getting started with the AWS S3 API in Yandex Object Storage

  • Debugging requests using the AWS CLI

  • Example of sending a signed request using curl

  • Code example for generating a signature

Was the article helpful?

Previous
GetBucketVersioning
Next
GetBucketLogging
© 2026 Direct Cursus Technology L.L.C.